Package org.linphone.core

# Enum Class VideoSourceType

java.lang.Object
java.lang.Enum<VideoSourceType>
org.linphone.core.VideoSourceType

All Implemented Interfaces:
  `Serializable`, `Comparable<VideoSourceType>`, `Constable`

public enum VideoSourceType extends Enum<VideoSourceType>
Enum representing the type of a video source.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Call`
The video source is another call.
`Camera`
The video source is a camera.
`Image`
The video source is an image.
`ScreenSharing`
The video source is a screen sharing.
`Unknown`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static VideoSourceType`
`fromInt(int value)`
`protected static VideoSourceType[]`
`fromIntArray(int[] values)`
`int`
`toInt()`
`protected static int[]`
`toIntArray(VideoSourceType[] values)`
`static VideoSourceType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static VideoSourceType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Unknown

public static final VideoSourceType Unknown

### Call

public static final VideoSourceType Call
The video source is another call.

### Camera

public static final VideoSourceType Camera
The video source is a camera.

### Image

public static final VideoSourceType Image
The video source is an image.

### ScreenSharing

public static final VideoSourceType ScreenSharing
The video source is a screen sharing.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static VideoSourceType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static VideoSourceType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static VideoSourceType fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### fromIntArray

protected static VideoSourceType[] fromIntArray(int[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toIntArray

protected static int[] toIntArray(VideoSourceType[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()